﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace WpfApplication1
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public Window1()
		{
			InitializeComponent();
			this.panelBar1.DataContext = new MyDataObject();
		}
	}

	public class MyDataObject
	{
		public MyDataObject()
		{
			this.Sections = new ObservableCollection<Section>();

			Command command1 = new Command();
			command1.DisplayName = "Command 1";

			Section section1 = new Section();
			section1.SectionName = "Section 1";
			section1.Commands.Add(command1);

			this.Sections.Add(section1);
		}

		public ObservableCollection<Section> Sections { get; set; }
	}

	public class Section
	{
		public Section()
		{
			this.Commands = new ObservableCollection<Command>();
		}

		public string SectionName { get; set; }
		public ObservableCollection<Command> Commands { get; set; }
	}

	public class Command
	{
		public string DisplayName { get; set; }
	}
}
